﻿using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SampleButton
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void gridDatos_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            DataView datos = (DataView)SqlDSResumen.Select(DataSourceSelectArguments.Empty);
            DataTable dt = datos.Table;
            var emp = (from DataRow row in dt.Rows

                       select new Order
                       {
                           Area = row["Area"].ToString(),
                           Provincia = row["Provincia"].ToString(),
                           Week10 = Convert.ToInt32(row["Week10"]),
                           Week11 = Convert.ToInt32(row["Week11"]),
                           Week13 = Convert.ToInt32(row["Week13"]),
                       }).ToList();
            exp.Export(gridDatos.Model, (IEnumerable)emp, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime");
        }
    }
}

public class Order
{
    public string Area { get; set; }
    public string Provincia { get; set; }
    public int Week10 { get; set; }
    public int Week11 { get; set; }
    public int Week13 { get; set; }
}