﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SampleButton._Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.3451.0.18, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89, processorArchitecture=MSIL" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <ej:Grid runat="server" ID="gridDatos" 
            AllowPaging="true" AllowGrouping="true" AllowScrolling="true" AllowFiltering="true" AllowTextWrap="true" AllowResizing="true" AllowResizeToFit="true"  
            OnServerExcelExporting="gridDatos_ServerExcelExporting"
            DataSourceID="SqlDSResumen">            
            <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport"></ToolbarSettings>
            <GroupSettings GroupedColumns="Area" ShowDropArea="true" />
            <FilterSettings FilterType="Excel"></FilterSettings>
            <ClientSideEvents DataBound="databound" />

        </ej:Grid>

        <asp:SqlDataSource runat="server" ID="SqlDSResumen"
            ConnectionString='<%$ ConnectionStrings:DataModel %>'
            SelectCommand="spTest"
            SelectCommandType="StoredProcedure">
        </asp:SqlDataSource>

     <script type="text/javascript">

    function databound(args) {

        this.model.summaryRows.push({ title: "Sum", summaryColumns: [{ summaryType: ej.Grid.SummaryType.Sum, displayColumn: this.model.columns[2].headerText, dataMember: this.model.columns[2].headerText, format: "{0:C2}", prefix: "Sum =" }] });

        $("#" + args.model.clientId).ejGrid("model.showSummary", true);
    }

</script>
</asp:Content>
